BAT /P * Loading Expanded EBL Error Message Help....

	<
	>
	%2 = "EHELP"                  |*Name of this batch file
-ver.chk
	if version() = "version()" then skip 2
	parse version() %0 %1 %0
	if ( %1 $ 1 4 ) > 3.09 then goto -ver.ok
	type ">>> Further help can not be given"
	type ">>> The version of EBL you use must be 3.10 or higher!"
	exit
*
*	The follow description is shown if there was no error
*
-ver.ok
	/NEW
	if %R = 0 then skip 1
	if %R < 100 then goto -lookup
	cls begtype
\1fĿ
		E R R O R   M E S S A G E   H E L P	1.0	       
\07

\0eThere was not any previous errors from EBL.\07

To use this expanded help file with EBL, make sure this file is on the
root directory of your disk and type the following command at the DOS
prompt. This will make EBL use this batch file in case of errors. It
will provide a full description and suggestions on how to fix the problem.

	SET BATERR=/R \\BATHELP.BAT

If a program uses the -ON.ERROR- error recovery label, no error messages
will be displayed.  The program will be given control to either display
its own message or to fix the problem. This help file will not be used.

If the program does not use error recovery, the error message will be
displayed. Also displayed in addition to the message is the line number
that is being executed, the contents of the line being executed, and a
pointer to the suspect area of the line.
end
	exit
-lookup
	cls begtype
\1fĿ
		H E L P   F O R   L A S T   E R R O R		       
\07

end
	goto -Error%R			|* Go to description of last error


-Error3 begtype

(Message #3)	     \1fUnrecognized command in input.\07

The first word was not found to be one of the valid EBL commands or
assignments.  Check the spelling of the command and be sure that there are
blanks on either side of this command to insure that it will be properly
recognized.

If you beleve that the unrecognized command is an external EBL function,
the external functions may not have been installed.  Just enter the name of
the external functions from DOS to install them.  The external functions
supplied with EBL are named BATFUNC1, BATFUNC2, and BATMATH.

end
	goto -endit

-Error4 begtype

(Message #4)	     \1fInvalid SKIP amount.\07

The command 'SKIP' must be followed by a decimal number.  This number shows
the number of lines to skip during execution.  Either the number contained
non-numeric characters, or the number was not present.

end
	goto -endit

-Error6 begtype
(Message #6)	     \1fLabel could not be found.\07


A valid label name was referenced from a GOTO or CALL.	A search was made
through the entire batch file for a label and was not found.  Check the
spelling of the label, and make sure that the label which is the
destination of the transfer also has a '-' (minus) sign if it is an EBL
label.	If a DOS label is used, it must be referenced without a '-' sign,
and the destination must start with a ":" (colon) to indicate that it is a
DOS label.  That is:

	GOTO -LABEL	will look for the EBL label  "-LABEL"
	GOTO LABEL	will look for the DOS label  ":LABEL"

end
	goto -endit

-Error7 begtype
(Message #7)	     \1fBad number or improper condition.\07

On an IF command:
 The values after the 'IF' may be wrong.  The first value is an expression
 to check during the compare.  The second value must be the characters '='
 (equal) or '<>' (not-equal) or '<' (less than) or '>' (greater than). And
 the third value is another expression to check during the compare.  If any
 of these three values are not found as expected, this error will result.

In an assignment statement:
 This error can occur when an operator (such as +, -, *, or /) needed
 numbers to do its operation.  If the string could not be properly
 converted to a number, this error will result.

Note:
 All strings should be enclosed in quotes so EBL can distinguish between
 special characters within strings and other operators.

end
	goto -endit

-Error8 begtype
(Message #8)	     \1fVariable name is missing or improper.\07

In a READ, INKEY, or STATEOF command, there was a variable name expected,
but was not seen.  A valid variable name is one which starts with a '%'
(Percent sign).  Since these commands will cause the contents of the
variable to be altered, only DOS variables (%0 to %9) or global user
variables (%R to %O) are allowed.  Any other variable is not allowed.  READ
and INKEY commands do not have to have a variable name as an operand, but
if it does have an operand, then it must be a valid variable name.  STATEOF
must have a variable name as an operand.  If no operand exists, this error
will result.

This error can also be caused by trying to use a DOS variable (%0 to %9) in
an immediate execution statement.  These variables cannot be used in this
way since DOS only allocates storage for variables when .BAT files are
executing.
end
	goto -endit

-Error9 begtype

(Message #9)	     \1fAssignment syntax error.\07

The format of an assignment is:  [variable name] = [expression]

o The [variable name] can be %0 to %9, %A to %O. If the BATXV extended
   variables are loaded, you may also use names starting with '&' such
   as &VARIABLE.
o The '=' (equal) sign is required.
o The [expression] may be any string or arithmetic value.

Check the format of your statement, and make sure that there is a
space between your variable name and the equal sign.
end
	goto -endit

-Error10 begtype

(Message #10)	     \1fInternal error - report MSG 10.\0f


This message should never appear.  If it does, please report this error,
the conditions under which it occurred, and if possible, a copy of the
failing EBL program.

end
	goto -endit

-Error11 begtype

(Message #11)	     \1fOut of memory in keyboard stack.\07

The STACK or BEGSTACK commands were used to put data into the keyboard
stack but there was no more space for your data.  The default stack size is
1024 characters.  Exceeding this value will result in this error.  Your EBL
program must be rewritten to either simplify the data being sent to the
stack, or execute an application program which will remove some of this
data before the remainder is stacked by your EBL program.  When this error
occurs, the stack will be purged of it's data before returning to DOS.

The stack size can be changed during booting to be as high as 52k
characters.  See the section on special installation steps in the manual
understand this further.

end
	goto -endit

-Error13 begtype
(Message #13)	   \1fSyntax error in escape or color value. Use "\\hex",\07
		   \1for "\\%Variable".                                   \07

There was a '\\' (backslash) character found in the text following a
BEGSTACK or BEGTYPE command.  The character(s) following must be either
another '\\' character, which will represent a single backslash being seen,
or it must be a valid TWO DIGIT hex number.  Examples of valid hex numbers
would be:  \\00 \\F9 \\0E etc.

In addition, a '%' (percent) after the backslash indicates that a the
contents of a variable should used.  When this is done, if the contents is
exactly two digits and a valid hex number, it will be used as an escape or
color value.  Otherwise, the contents will be directly displayed or put
into the stack.  for example if %R contained "0F", using "\\%R" after a
BEGTYPE command would treat 0F as a high intensity color value.  If %R had
just contained "F", using "\\%R" would not have changed the color, but just
have printed out the "F" onto the display.

end
	goto -endit

-Error14 begtype
(Message #14)	     \1fCALL is nested too deep. Limit is 31.\07

The CALL command was issued too many times without doing a RETURN command.
Subroutines within EBL files can only be nested up to thirty one times.  If
this is not the case, check for a missing RETURN command within your EBL
program.  Another possibility is that a stray CALL was executed.  The
TRACE.ON command may be useful for finding this problem within your EBL
program.

end
	goto -endit

-Error15 begtype
(Message #15)	     \1fRETURN did not have a matching CALL.\07

There were no CALL commands pending for the RETURN command to respond to.
If a RETURN command was executed without a matching CALL command previously
having been executed, then this error will result.  Check how the
subroutines within your EBL program are nested.  Also check that your
program did not accidentally enter a subroutine by making sure that there
is a EXIT or GOTO command in front of the subroutine which directs program
control around it.  The TRACE.ON command may be useful for finding the
problem within your EBL program.

end
	goto -endit

-Error16 begtype
(Message #16)	     \1fLine too long during READ.\07

During the execution of a READ command, data was being taken from the
keyboard stack or a file (not the physical keyboard) and there was an
overflow of the buffer allocated for the READ command.	There can be a
maximum of 250 characters, including the carriage return, for input during
the READ command.  This situation will not occur with input data from the
physical keyboard since DOS will warn the user with a beep if the 250
character limit is exceeded.

This error may have been caused by STACKing an excessive number of lines
without doing a carriage return.  See the STACK command with the ";"
(semicolon) option.  Alternately, it could have also been caused by reading
a file that had unusually long lines or files that were binary instead of
ASCII text.

end
	goto -endit

-Error17 begtype

(Message #17)	     \1fNumeric value out of range.\07

During the execution of an assignment statement, the result of an
arithmetic operation was outside the range of +2**64 to -2**64 - 1.  This
error will also occur if a division by zero was attempted or a LOCATE
command to a location larger than the screen size.

end
	goto -endit

-Error19 begtype

(Message #19)	     \1fOut of memory for DOS variables.\07

When EBL was exiting and returning control back to DOS, the variables %0 to
%9 could not be compressed into the 118 total character space available to
it within DOS.	If some of these variables are unused, you may wish to
empty the variable before exiting to DOS.

end
	goto -endit

-Error20 begtype

(Message #20)	     \1fMismatched BEGIN/END group\07

The BEGIN and END commands did not occur in pairs. Be sure that you do not
use a GOTO command to leave or enter the BEGIN/END group. Also be sure they
are nested properly so that the pairs are balanced.

end
	goto -endit

-Error21 begtype

(Message #21)	     \1fBEGIN/END is nested too deep. Limit is 8\07

The BEGIN and END commands group was nested too deep. There can only be eight
BEGIN commands without a corresponding END command. Be sure that you do not
use a GOTO command to leave or enter the BEGIN/END group. Also be sure they
are nested properly so that the pairs are balanced.

end
	goto -endit

-Error27 begtype

(Message #27)	     \1fParenthesis is nested too deep. Limit is 5.\07

During an arithmetic or character string expression, parenthesis were used
to nest the operations.  No more than 5 pairs of parenthesis are allowed.
Simplify the expression by breaking it into parts between seperate
statements.

end
	goto -endit

-Error28 begtype

(Message #28)	     \1fMismatched parenthesis.\07

During an arithmetic or character string expression, parenthesis were used
to nest the operations.  The parenthesis did not have balanced opening and
closing pairs.	You may need to add or delete a parenthesis.  Also, be sure
that any strings are enclosed in quotes so special characters are not
confused with parenthesis for the expression.

end
	goto -endit

-Error29 begtype

(Message #29)	     \1fMismatched quotes.\07

A string had a starting quote but did not have an ending quote. Be sure
that the same type of quotation mark is used at the beginning and end of the
string. Either a single quote or double quote is valid, but they must be used
in pairs and match.

end
	goto -endit

-Error30 begtype

(Message #30)	     \1fDOS error in accessing data.\07

DOS had an error in attempting to either read or write data to a file or
device.  In the case of devices, it could have been the display or
keyboard.  The specific cause of the error was not specified by DOS.  With
new DOS versions, system errors that are unknown to EBL as of this writing
will appear as this error.

end
	goto -endit

-Error31 begtype

(Message #31)	     \1fDOS invalid function.\07

DOS was not able to read or write the file because the "function code" that
EBL used to access the file did not match the available "function codes"
that DOS knows is usable.  This error should never occur.  It could only
occur if there is an internal error within either EBL or DOS.  In addition,
other background programs (SideKick and print spoolers are examples) could
be accidently altering memory in either EBL or DOS.  Try removing all other
background and multi-tasking programs and see if the error still occurs.
If it does, please report the error to Seaware.  Please send the version
number of DOS you are using, your system configuration, and a copy of the
failing EBL program.  If the error goes away after removing a background
program, please report this error to the company that sells that program.

end
	goto -endit

-Error32 begtype
(Message #32)	     \1fDOS file not found.\07

DOS was not able to open the requested file for reading because its name
was not found in the directory.  Check the name of the requested file.	If
it is correct and a path was not specified, the current subdirectory may
not be the correct.  You can use the "CHDIR" command in DOS or the "CHDIR()"
command in the extended EBL functions to alter the current subdirectory.
If a path was specified in the file name, check the name given for
correctness and make sure it matches with the subdirectories currently in
use on your disk or diskette.

end
	goto -endit

-Error33 begtype

(Message #33)	     \1fDOS Path not found.\07

DOS was not able to find the requested path to the subdirectory specified.
Check the name given for correctness and make sure it matches with the
subdirectories currently in use on your disk or diskette.

end
	goto -endit

-Error34 begtype

(Message #34)	     \1fDOS Too many open files.\07

DOS was not able to open the requested file because too many others were
already open.  This may occur in multi-tasking systems, or when there are a
large number of resident applications already loaded.  Check the "FILES=xx"
statement in the file \\CONFIG.SYS.  You may want to increase the number of
files that DOS can open at once.  Refer to the CONFIG.SYS configuration
section in your DOS many for more information on this.

end
	goto -endit

-Error35 begtype

(Message #35)	     \1fDOS access denied.\07

DOS was not able to open the requested file.  This could be caused by
trying to write to a file marked read only, or by trying to read from a
subdirectory instead of a file.  Check the file name that is being opened
to be sure that it is correct.

In some cases in networks, it could also be that the file is currently
being used by another source.  In this case, you may have to wait until the
file becomes freed by that other source before accessing this file again.

end
	goto -endit

-Error36 begtype

(Message #36)	     \1fDOS invalid file handle.\07

DOS was not able to read or write the file because the "handle" that EBL
used to access the file did not match the available "handles" that DOS
knows is usable.  This error should never occur.  It could only occur if
there is an internal error within either EBL or DOS.  In addition, other
background programs (SideKick and print spoolers are examples) could be
accidently altering memory in either EBL or DOS.  Try removing all other
background and multi-tasking programs and see if the error still occurs.
If it does, please report the error to Seaware.  Please send the version
number of DOS you are using, your system configuration, and a copy of the
failing EBL program.  If the error goes away after removing a background
program, please report this error to the company that sells that program.

End
	goto -endit

-Error37 begtype

(Message #37)	     \1fDOS memory control blocks destroyed.\07

DOS was not able to use the control blocks that it maintains to keep
multiple programs seperated within memory.  This may occur during the SHELL
command in EBL.  Under normal conditions, this error should never occur.
It could only occur if there is an internal error within DOS.  In addition,
other background programs (SideKick and print spoolers are examples) could
be accidently altering memory in DOS.  Try removing all other background
and multi-tasking programs and see if the error still occurs.  If it does,
please report the error to Seaware.  Please send the version number of DOS
you are using, your system configuration, and a copy of the failing EBL
program.  If the error goes away after removing a background program,
please report this error to the company that sells that program.

end
	goto -endit

-Error38 begtype

(Message #38)	     \1fDOS Insufficient memory.\07

There was not enough memory to perform the DOS command	properly using
'SHELL'.  There must be enough free memory for EBL (about 20k) plus space
for the executing batch file plus space for the new application being
loaded.  Typically this could total from 50k to 100k or more depending on
the application being loaded.  You can use the CHKDSK command in DOS to
determine the amount of free memory.

NOTE: If you start a DOS command using 'SHELL' which stays resident (TSR
programs like Sidekick, Prokey, etc), this error may result. Always
preceeed TSR programs with 'LEAVE' and follow it with 'BAT' to return to
EBL.

end
	goto -endit

-Error39 begtype

(Message #39)	     \1fDOS invalid memory block address.\07

DOS was not able to use the control blocks that it maintains to keep
multiple programs seperated within memory.  This may occur during the SHELL
command in EBL.  Under normal conditions, this error should never occur.
It could only occur if there is an internal error within either EBL or DOS.
In addition, other background programs (SideKick and print spoolers are
examples) could be accidently altering memory in either EBL or DOS.  Try
removing all other background and multi-tasking programs and see if the
error still occurs.  If it does, please report the error to Seaware.
Please send the version number of DOS you are using, your system
configuration, and a copy of the failing EBL program.  If the error goes
away after removing a background program, please report this error to the
company that sells that program.

end
	goto -endit

-Error40 begtype

(Message #40)	     \1fDOS invalid environment.\07

DOS was not able to use the environment space while using the SHELL
command.  This error should never occur.  It could only occur if there is
an internal error within either EBL or DOS.  In addition, other background
programs (SideKick and print spoolers are examples) could be accidently
altering memory in either EBL or DOS.  Try removing all other background
and multi-tasking programs and see if the error still occurs.  If it does,
please report the error to Seaware.  Please send the version number of DOS
you are using, your system configuration, and a copy of the failing EBL
program.  If the error goes away after removing a background program,
please report this error to the company that sells that program.

end
	goto -endit

-Error41 begtype

(Message #41)	     \1fDOS invalid format.\07

This error should never occur.	It could only occur if there is an internal
error within DOS.  In addition, other background programs (SideKick and
print spoolers are examples) could be accidently altering memory in DOS.
Try removing all other background and multi-tasking programs and see if the
error still occurs.  If it does, please report the error to Seaware.
Please send the version number of DOS you are using, your system
configuration, and a copy of the failing EBL program.  If the error goes
away after removing a background program, please report this error to the
company that sells that program.

end
	goto -endit

-Error42 begtype

(Message #42)	     \1fDOS invalid access code.\07

This error should never occur.	It could only occur if there is an internal
error within DOS.  In addition, other background programs (SideKick and
print spoolers are examples) could be accidently altering memory in DOS.
Try removing all other background and multi-tasking programs and see if the
error still occurs.  If it does, please report the error to Seaware.
Please send the version number of DOS you are using, your system
configuration, and a copy of the failing EBL program.  If the error goes
away after removing a background program, please report this error to the
company that sells that program.

end
	goto -endit

-Error43 begtype

(Message #43)	     \1fDOS devices are not same.\07

This error should never occur.	It could only occur if there is an internal
error within DOS.  In addition, other background programs (SideKick and
print spoolers are examples) could be accidently altering memory in DOS.
Try removing all other background and multi-tasking programs and see if the
error still occurs.  If it does, please report the error to Seaware.
Please send the version number of DOS you are using, your system
configuration, and a copy of the failing EBL program.  If the error goes
away after removing a background program, please report this error to the
company that sells that program.

end
	goto -endit

-Error44 begtype

(Message #44)	     \1fDOS disk full.\07

While writing, DOS was not able to send the data to the device without
getting errors.  The usual reason is that the disk is full.  The data has
been truncated and is probably not usable.  Change the media or erase
unneeded files to make space and try the operation once again.

end
	goto -endit

-Error45 begtype

(Message #45)	 - ColorChar is nested too deep. Limit is 8.

The characters that represent colors toggle the color on and off.  If one
color is being used when a second is turned on, the first will be saved.
Normally, when the second is turned off, the first color is restored.  If
more than 8 colors are turned on without being turned off, this error will
occur.	Check that you have the colored character at both the beginning and
end of the desired colored area.

end
	goto -endit

-Error46 begtype

(Message #46) - BATXV is needed since an extended variable was used.

An extended variable was used in the EBL program, however the storage for
it was not yet loaded.	First use the BATXV.COM program from DOS to setup a
storage area for extended variables.

end
	goto -endit

-Error79 begtype
(Message #79) - Extended variable storage full.

The variable space within the BATXV.COM program has been filled.  Space may
be freed by setting an extended variable to null, or by using the "/C"
option in the BATXV program.  Note that the default area in BATXV is 2000
bytes and may be extended when initially loaded.  Remember to account for
space for the variable contents plus, space for the variable names.

end
	goto -endit

-Error80 type "Closing parenthesis is missing.                  " |goto -XErr
-Error81 type "Value out of range for function.                 " |goto -XErr
-Error82 type "Path was not found.                              " |goto -XErr
-Error83 type "Float Error: String cannot be converted to number" |goto -XErr
-Error84 type "Float Error: More operators than available values" |goto -XErr
-Error85 type "Float Error: Divison by zero                     " |goto -XErr
-Error86 type "Float Error: Invalid letters within expression   " |goto -XErr
-Error87 type "Float Error: Unbalanced expression               " |goto -XErr
-Error88 type "Float Error: Overflow within expression          " |goto -XErr
-Error89 type "Unexpected floating point error                  " |goto -XErr

-XErr begtype

(Message #\%R)

This error was found by one of the external function packages BATFUNC1,
BATFUNC2, or BATMATH. Check the placement of the operators and parenthesis.
Be sure to have a space between the external function name and the
operators within it. Also, check that the values being passed to the
external function are valid.

end
	goto -endit

-Error%R

	if %R <> FF skip 10
	begtype

\1F THE LAST ERROR WAS SEVERE AND COULD NOT BE RECOVERED \07

Because of fatality of this error, it cannot be identified any further with
this BATHELP facility. Refer to your manual in Appendix C for further
clarification of what your error means and how to recover from it.

end
	goto -endit

	if %R = 0 skip 12
	if %R > 99 skip 11
	begtype

\1F THE LAST ERROR DID NOT COME FROM EXTENDED BATCH LANGUAGE \07

The source for this error may be with another external function packages
that you added, or another batch file.	Check with the information provided
with these additional packages for further information.  The last error
code provided was:  \%R.

end
	goto -endit

	begtype

\1F NO ERROR WAS FOUND \07

It does not appear that any error existed.

If you still suspect that there was an error, check with another external
function packages that you are using.  Check with the information provided
with this additional package for further information.  The last error code
available was:	\%R.

end
	goto -endit

*
*	This section displays the batch file statement
*	which had the error if possible.
*
-endit
	color normal
	if (%L)    else exit	    |* exit if no batch file running
	if (%T)    else exit

	if (%T ? %2) then skip 1    |* If last batch file is myself, or...
	if (%L $ 1 1 ) = '' then   |* If "only line # is known" flag set, then...
	begin
	   color yellow
	   type ">>> Error was in line number" strip(%L,L,'') "of the batch file."
	   color normal
	   exit
	end

	color yellow		    |* Running now, show line # & part of file
	type ">>> Error was in line number" %L "of batch file" %T
	*
	* Display the line in error from the original batch file
	*
	%0 = %L
	<%T
-look	read.parsed %1
	%0 = %0 - 1
	if %0 > 0 then goto -look
	type ">>>" %1
	<
	%L = %L
	color normal
	exit

